
CREATE TABLE NSIWS (
	ID NUMBER(18) NOT NULL,
	URL VARCHAR2(255),
	USERNAME VARCHAR2(255),
	PASSWORD VARCHAR2(255),
	DESCRIPTION VARCHAR2(255),
	TECHNOLOGY VARCHAR2(255),
	NAME VARCHAR2(255) NULL,
	PROXY NUMBER(1) DEFAULT 0 NOT NULL,
PRIMARY KEY(ID),
CONSTRAINT CHK_TECH CHECK (TECHNOLOGY IN ('SoapV20', 'SoapV21', 'REST'))
)
;